<ng-template #divLoading>
  <mat-grid-list cols="1">
    <mat-grid-tile>
      <mat-spinner>

      </mat-spinner>
    </mat-grid-tile>
  </mat-grid-list>
</ng-template>

<div *ngIf="hero; else divLoading" class="grid p-2">
  <mat-card class="col-12 sm:col-6">
    <mat-card-header>
      <mat-card-title>
        {{hero.alter_ego}}
      </mat-card-title>
      <mat-card-subtitle>
        {{hero.superhero}}
      </mat-card-subtitle>
    </mat-card-header>

    <img mat-card-image [src]="hero | heroImage" [alt]="hero.superhero">
  </mat-card>

  <mat-card class="col-12 sm:col-6">
    <mat-card-header>
      <mat-card-title>
        {{hero.alter_ego}}
      </mat-card-title>
      <mat-card-subtitle>
        {{hero.superhero}}
      </mat-card-subtitle>
    </mat-card-header>

    <mat-card-content>
      <mat-list>
        <mat-list-item>{{hero.first_appearance}}</mat-list-item>
        <mat-list-item>{{hero.characters}}</mat-list-item>
        <mat-list-item>{{hero.publisher}}</mat-list-item>
        <mat-list-item>{{hero.alter_ego}}</mat-list-item>
      </mat-list>

      <button mat-button color="warn" (click)="goBack()">
        Regresar
      </button>
    </mat-card-content>
  </mat-card>
</div>